package com.shixing.sxedit.delegate;

import com.shixing.sxedit.SXGenericEffect;
import com.shixing.sxedit.types.SXGenericEffectType;

import java.util.List;

public interface SXGenericEffectDelegate {

    /**
     * 添加内置特效
     *
     * @param type, 内置特效类型
     * @return 内置特效对象，失败返回 null
     * */
    SXGenericEffect addGenericEffect(SXGenericEffectType type, double duration, int index);

    /**
     * 复制现有特效,并添加
     *
     * @param effect
     * */
    SXGenericEffect addGenericEffectByCopy(SXGenericEffect effect, int index);
    /**
     * 删除内置特效
     *
     * @param effectId, 内置特效 id
     * @return boolean
     * */
    boolean removeGenericEffect(String effectId);

    /**
     * 获取内置特效
     * @param effectId
     * @return SXGenerigEffect
     */
    SXGenericEffect getGenericEffect(String effectId);
    /**
     * 获取所有内置特效
     *
     * @return 视内置特效List集合
     */
    List<SXGenericEffect> getGenericEffects();

    /**
     * 获取内置特效数
     *
     * @return int
     * */
    int getNumGenericEffects();
}
